Class | Irc::KickMessage
In: | lib/rbot/message.rb
Parent: | BasicUserMessage

class to manage IRC KICKs +address?+ can be used as a shortcut to see if the bot was kicked, basically, `target` was kicked from `channel` by `source` with `message`

### Methods

inspect new

### Attributes

channel | [R] | channel user was kicked from

### Public Class methods

new(bot, server, source, target, channel, message="")

### Public Instance methods

inspect()

[Validate]